Bug 45109 - rpm seg falts and core dumps on rpm database
rpm seg falts and core dumps on rpm database
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
http://www.darkmist.net/~schallee/rpm...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 02:39 EDT by Ed Schaller
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-20 14:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Schaller 2001-06-20 02:39:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.18-spore-01 i686)

Description of problem:
I'm having problems with rpm seg-falting when trying to get information
from the
database. It appears to be a bad entery in there. One of them is a
bind-utils
rpm from the 6.2 updates. Anything that does anything with that rpm (at
least)
core dumps. This includes all -ql -qi -F -U -i -e that do anything with
that
rpm. The rpm version is 4.0.2.


How reproducible:
Always

Steps to Reproduce:
1. use my rpm database at above url
2. do a rpm -qa
3. repeat with any other option that lists the rpms in the db
	

Actual Results:  partial list of rpms
Segmentation fault (core dumped)

Expected Results:  complete list of rpms

Additional info:

I copied a older version from another system (Version 3.0). It core dumps
some
of the time but not always. Some interesting outputs are:

# ./rpm -ql bind-utils
(contains no files)
#
# ./rpm -qa | grep null
(null)-(null)-(null)
(null)-(null)-(null)
#

It also segfaults on -ev as well.

I rebuilt the rpm database with rpm --rebuilddb which core dumped and
didn't
seem to change anything.

I tried to compile both 4.0.2 and 3.0.4 from the source rpms so I could run
a
debugger on one, but neither of them would even compile on my 6.2 system.
4.0.2
couldn't find "no" as a command and 3.0.4 had a linker error.
Comment 1 Jeff Johnson 2001-06-20 11:06:29 EDT
Can you provide a pointer (attachmensts won't work) to your database
	cd /var/lib
	tar czvf /tmp/rpmdb-45109.tar.gz rpm
and I'll take a look? Thanks ...
Comment 2 Ed Schaller 2001-06-20 14:03:58 EDT
Hum.. Funny, I put it in the URL field for bugzilla, but I guess it didn't work
to well. Here it is:
http://www.darkmist.net/~schallee/rpm/rpmdb.tar.gz
Comment 3 Jeff Johnson 2001-06-30 14:43:23 EDT
Apologies for the duplicated request, the URL field is often off the
immediate screen when I'm typing in comments.

Fixed in (at least) rpm-4.0.3-0.55. Meanwhile your rpm/packages.rpm
and my rebuild log are at
	ftp://people.redhat.com/jbj/rpmdb1-45109-FIX.tar.gz
Do the following
	cd /var/lib/rpm
	mv packages.rpm packages.rpm-SAVE
	cd ..
	tar xzvf  rpmdb1-45109-FIX.tar.gz
	rpm --rebuilddb -vv
Comment 4 Ed Schaller 2001-07-04 02:03:39 EDT
thanks. I sure appreciate the help.

Note You need to log in before you can comment on or make changes to this bug.